Customize ListView with dynamic tags in EJ2 JavaScript ListView control

28 Jan 202519 minutes to read

You can customize the ListView items using the template property. Here, dynamic tags are added or removed in the list item from another ListView. Refer to the following steps to achieve this.

  • Render the ListView with a data source, and add a button element with each list item of the ListView on the actionComplete event. Refer to the following code sample of the actionComplete event.
// The actionComplete event for first ListView to add the button

function addButton() {
    let buttonObj: { [key: string]: Object } = { obj: Button, prop: { iconCss: 'e-icons e-add-icon', cssClass: 'e-small e-round' } };
    let ele: HTMLCollection = document.getElementsByClassName("e-but");
    for (let i: number = 0; i < ele.length; i++) {
        buttonObj.obj = new Button(buttonObj.prop);
        (buttonObj.obj as Button).appendTo(ele[i] as HTMLElement);
    }
}
  • Initialize a dynamic ListView with the required properties that hold the tags of the parent ListView, and bind the select event (triggers when a list item is selected) to add the selected item value as tags into the parent ListView. Refer to the following code sample.
//Select the event that is is rendered inside dialog for ListView
function addTag(e: SelectEventArgs) {
    let listTag: HTMLSpanElement = document.createElement('span');
    listTag.className = 'advanced-option';
    let labelElem: HTMLSpanElement = document.createElement('span');
    labelElem.className = 'label';
    let deleteElem: HTMLSpanElement = document.createElement('span');
    deleteElem.className = 'delete';
    deleteElem.onclick = removeTag;
    labelElem.innerHTML = e.text;
    listTag.appendChild(labelElem);
    listTag.appendChild(deleteElem);
    let tag: HTMLSpanElement = document.createElement('span');
    tag.className = 'advanced-option-list';
    tag.appendChild(listTag);
    listviewInstance.element.querySelector('.e-active').appendChild(tag);
}
  • Render the dialog control with empty content and append the created dynamic ListView object to the dialog on the created event.

  • Bind the click event to the button icon (+) to update the ListView data source with tags, and open the dialog with this dynamic ListView. Refer to the following code sample.

//Method to hide/show the dialog and update the ListView data source
function renderDialog(id: string): void {
    if (document.getElementsByClassName('e-popup-open').length != 0) {
        dialog.hide();
    }
    else {
        listObj.dataSource = datasource[id];
        listObj.dataBind();
        dialog.show();
    }

}
  • Bind the click event with added dynamic tags to remove them. Refer to the following code sample.
//Method to remove the list item
function removeTag() {
    this.parentNode.parentNode.remove();
}
//Define customized template
var template = '<div><span class="templatetext">${Name} </span> <span class="designationstyle"><button id ="${Id}" class="e-but"></button></span></div>';
var data = [{ "Id": "Brooke", "Name": "Brooke" },
{ "Id": "Claire", "Name": "Claire" },
{ "Id": "Erik", "Name": "Erik" },
{ "Id": "Grace", "Name": "Grace" },
{ "Id": "Jacob", "Name": "Jacob" }];
var listviewInstance = new ej.lists.ListView({
    //Set defined data to the dataSource property
    dataSource: data,
    //Set defined customized template
    template: template,
    //Set the fields property
    fields: { text: 'Name' },
    //Set the width to the ListView
    width: 350,
    //Bind the event to customize the ListView
    actionComplete: addButton
});
//Render the initialized ListView component
listviewInstance.appendTo('#templatelist');
//actionComplete event for the first ListView
function addButton(args) {
    var buttonObj = { obj: ej.buttons.Button, prop: { iconCss: 'e-icons e-add-icon', cssClass: 'e-small e-round' } };
    var ele = document.getElementsByClassName("e-but");
    for (var i_1 = 0; i_1 < ele.length; i_1++) {
        buttonObj.obj = new ej.buttons.Button(buttonObj.prop);
        buttonObj.obj.appendTo(ele[i_1]);
    }
}
//The click event for rendered button
for (var i = 0; i < data.length; i++) {
    document.getElementById(data[i].Id).addEventListener("click", function (e) {
        renderDialog(e.currentTarget.id);
    });
}
var brookeTag = [{ "id": "list11", "Name": "Discover Music" },
{ "id": "list12", "Name": "Sales and Events" },
{ "id": "list13", "Name": "Categories" },
{ "id": "list14", "Name": "MP3 Albums" },
{ "id": "list15", "Name": "More in Music" },
];
var claireTag = [{ "id": "list21", "Name": "Songs" },
{ "id": "list22", "Name": "Bestselling Albums" },
{ "id": "list23", "Name": "New Releases" },
{ "id": "list24", "Name": "Bestselling Songs" },
];
var erikTag = [{ "id": "list31", "Name": "Artwork" },
{ "id": "list32", "Name": "Abstract" },
{ "id": "list33", "Name": "Acrylic Mediums" },
{ "id": "list34", "Name": "Creative Acrylic" },
{ "id": "list35", "Name": "Canvas Art" }
];
var graceTag = [{ "id": "list41", "Name": "Rock" },
{ "id": "list42", "Name": "Gospel" },
{ "id": "list43", "Name": "Latin Music" },
{ "id": "list44", "Name": "Jazz" },
];
var jacobTag = [{ "id": "list51", "Name": "100 Albums - $5 Each" },
{ "id": "list52", "Name": "Hip-Hop and R&B Sale" },
{ "id": "list53", "Name": "CD Deals" }
];
var datasource = { "Brooke": brookeTag, "Claire": claireTag, "Erik": erikTag, "Grace": graceTag, "Jacob": jacobTag };
//Initialize the ListView that is needed to append inside the dialog
var listObj = new ej.lists.ListView({
    showHeader: true,
    headerTitle: 'Favorite',
    width: '200px',
    dataSource: datasource.Brooke,
    fields: { text: 'Name' },
    select: addTag
});
//Initialize the dialog component
var dialog = new ej.popups.Dialog({
    width: '200px',
    content: '<div id="list"></div>',
    animationSettings: { effect: 'None' },
    visible: false,
    created: createList,
    showCloseIcon: true,
    position: { X: document.querySelector('.e-add-icon').getBoundingClientRect().left + 50, Y: document.querySelector('.e-add-icon').getBoundingClientRect().top - 5 }
});
//Render the initialized dialog component
dialog.appendTo('#dialog');
//Method to hide/show the dialog and update the ListView data source
function renderDialog(id) {
    if (document.getElementsByClassName('e-popup-open').length != 0) {
        dialog.hide();
    }
    else {
        listObj.dataSource = datasource[id];
        listObj.dataBind();
        dialog.show();
    }
}
//Created event for dialog
function createList(e) {
    var listElem = document.getElementById('dialog').querySelector("#list");
    listObj.appendTo(listElem);
}
//Select event for ListView that is rendered inside the dialog
function addTag(e) {
    var listTag = document.createElement('span');
    listTag.className = 'advanced-option';
    var labelElem = document.createElement('span');
    labelElem.className = 'label';
    var deleteElem = document.createElement('span');
    deleteElem.className = 'delete';
    deleteElem.onclick = removeTag;
    labelElem.innerHTML = e.text;
    listTag.appendChild(labelElem);
    listTag.appendChild(deleteElem);
    var tag = document.createElement('span');
    tag.className = 'advanced-option-list';
    tag.appendChild(listTag);
    listviewInstance.element.querySelector('.e-active').appendChild(tag);
}
//Method to remove the list item
function removeTag() {
    this.parentNode.parentNode.remove();
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 for ListView </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for ListView UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-popups/styles/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/30.1.37/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="sample">
            <!-- ListView element -->
            <div id="templatelist" tabindex="1"></div>
            <!-- Dialog element -->
            <div id="dialog"></div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
    <style>
        #sample {
            padding: 40px;
        }

        .advanced-option-list {
            display: inline-flex;
            list-style: none;
            margin: 0;
            padding: 0;
            margin-top: 4px;
            overflow: auto;
        }

        .advanced-option {
            border: 1px solid #0078d7;
            -webkit-border-radius: 2px;
            -moz-border-radius: 2px;
            border-radius: 2px;
            padding: 0 20px 0 5px;
            margin: 0 3px 1px 0;
            float: left;
            position: relative;
            background: white;
            line-height: 21px;
        }

        .advanced-option .label {
            color: #0078d7;
            font-size: 10px;
        }

        .advanced-option .delete {
            background: url(https://research.isg-one.com/Assets/img/Content/icn/tiny-del.png) right center no-repeat;
            padding-left: 10px;
            padding-top: 2px;
            right: 0;
            position: absolute;
            top: 1px;
            cursor: pointer;
            height: 16px;
            width: 30px;
        }

        #templatelist {
            max-width: 350px;
            margin: auto;
            border: 1px solid #dddddd;
            border-radius: 3px;
        }

        #templatelist .designationstyle {
            float: right;
            position: relative;
            right: 10px;
        }

        .cont-bg {
            font-size: 17px;
            height: 46px;
            padding-top: 10px;
            width: 100%;
        }

        .e-add-icon::before {
            content: '\e823';
        }

        #templatelist .e-list-item {
            height: auto;
            padding: 11px 16px;
        }

        .e-dialog .e-dlg-header-content+.e-dlg-content {
            margin-top: -18px;
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

Customize ListView with dynamic tags in Vue ListView component

21 Feb 202522 minutes to read

You can customize the ListView items using the template property. Here, the dynamic tags are added and removed in the list item from another ListView. Refer to the following steps to achieve this.

*Initialize a dynamic ListView with the required property that holds the tags of the parent ListView, and bind the select event (which triggers when a list item is selected), in which you can get and add the selected item value as tags into the parent ListView. Refer to the following code sample.

   //Select the event that is is rendered inside dialog for ListView
   addTag: function(e) {
    let listTag = document.createElement('span');
    listTag.className = 'advanced-option';
    let labelElem = document.createElement('span');
    labelElem.className = 'label';
    let deleteElem = document.createElement('span');
    deleteElem.className = 'delete';
    deleteElem.onclick = this.removeTag;
    labelElem.innerHTML = e.target.textContent;
    listTag.appendChild(labelElem);
    listTag.appendChild(deleteElem);
    let tag = document.createElement('span');
    tag.className = 'advanced-option-list';
    tag.appendChild(listTag);
    this.$refs.listviewInstance.$el.ej2_instances[0].element.querySelector('.e-active').appendChild(tag);
    }
  • Render the dialog component with empty content and append the created dynamic ListView object to the dialog in the created event.

  • Bind the click event for the button icon (+) to update the ListView data source with tags and open the dialog with this dynamic ListView.

      //Method to hide/show the dialog and update the ListView data source
       renderDialog: function(id){
         if (document.getElementsByClassName('e-popup-open').length !== 0) {
          this.$refs.dialogInstance.hide();
        }
        else {
          this.listObj = document.getElementById('dialog').querySelector("#list").ej2_instances[0];
          this.listObj.dataSource = this.datasource[id];
          this.listObj.dataBind();
          this.$refs.dialogInstance.position = { X: document.querySelector('.e-add-icon').getBoundingClientRect().left + 50, Y: document.querySelector('.e-add-icon').getBoundingClientRect().top - 5 };
          this.$refs.dialogInstance.show();
        }
      }
  • Bind the click event to the added dynamic tags to remove them. Refer to the following code sample.

     //Method to remove the list item
      removeTag() {
      this.$refs.listviewInstance.$el.ej2_instances[0].selectedLI.children[1].remove();
     }
<template>
  <div id="sample">
    <ejs-listview ref='listviewInstance' id='templatelist' :dataSource='data' :fields='fields' width='350'
      template='listTemplate'>
      <template v-slot:listTemplate="{ data }">
        <div><span class="templatetext"> </span> <span class="designationstyle"><ejs-button :id='data.Id'
              class="e-but" iconCss='e-icons e-add-icon' cssClass='e-small e-round'></ejs-button></span></div>
      </template>
    </ejs-listview>
    <ejs-dialog id='dialog' ref='dialogInstance' width='200px' content='dialogcontent' :animationSettings='animation'
      :visible='visible' showCloseIcon='true' :position='position'>
      <template v-slot:dialogcontent>
        <ejs-listview id="list" :dataSource="datasource.Brooke" :select="addTag" :fields="fields" showHeader=true
          headerTitle='Favorite' width='200px'></ejs-listview>
      </template>
    </ejs-dialog>
  </div>
</template>

<script setup>

import { ListViewComponent as EjsListview } from "@syncfusion/ej2-vue-lists";
import { ButtonComponent as EjsButton } from "@syncfusion/ej2-vue-buttons";
import { DialogComponent as EjsDialog } from "@syncfusion/ej2-vue-popups";
import { onMounted, onBeforeMount, ref } from "vue";

const listviewInstance = ref(null);
const dialogInstance = ref(null);

const data = [{ "Id": "Brooke", "Name": "Brooke" },
{ "Id": "Claire", "Name": "Claire" },
{ "Id": "Erik", "Name": "Erik" },
{ "Id": "Grace", "Name": "Grace" },
{ "Id": "Jacob", "Name": "Jacob" }];
const fields = { text: 'Name' };
const brookeTag = [{ "id": "list11", "Name": "Discover Music" },
{ "id": "list12", "Name": "Sales and Events" },
{ "id": "list13", "Name": "Categories" },
{ "id": "list14", "Name": "MP3 Albums" },
{ "id": "list15", "Name": "More in Music" },
];
const claireTag = [{ "id": "list21", "Name": "Songs" },
{ "id": "list22", "Name": "Bestselling Albums" },
{ "id": "list23", "Name": "New Releases" },
{ "id": "list24", "Name": "Bestselling Songs" },
];
const erikTag = [{ "id": "list31", "Name": "Artwork" },
{ "id": "list32", "Name": "Abstract" },
{ "id": "list33", "Name": "Acrylic Mediums" },
{ "id": "list34", "Name": "Creative Acrylic" },
{ "id": "list35", "Name": "Canvas Art" }
];
const graceTag = [{ "id": "list41", "Name": "Rock" },
{ "id": "list42", "Name": "Gospel" },
{ "id": "list43", "Name": "Latin Music" },
{ "id": "list44", "Name": "Jazz" },
];
const jacobTag = [{ "id": "list51", "Name": "100 Albums - $5 Each" },
{ "id": "list52", "Name": "Hip-Hop and R&B Sale" },
{ "id": "list53", "Name": "CD Deals" }
];
const visible = false;
let datasource = {};
const animation = { effect: 'None' };
let position = {};

onBeforeMount(() => {
  datasource = { "Brooke": brookeTag, "Claire": claireTag, "Erik": erikTag, "Grace": graceTag, "Jacob": jacobTag };
});
onMounted(() => {
  for (let i = 0; i < data.length; i++) {
    document.getElementById(data[i].Id).addEventListener("click", (e) => {
      renderDialog(e.currentTarget.id);
    });
  }
});

const renderDialog = (id) => {
  if (document.getElementsByClassName('e-popup-open').length !== 0) {
    dialogInstance.value.hide();
  }
  else {
    let listObj = document.getElementById('dialog').querySelector("#list").ej2_instances[0];
    listObj.dataSource = datasource[id];
    listObj.dataBind();
    dialogInstance.value.ej2Instances.position = { X: document.querySelector('.e-add-icon').getBoundingClientRect().left + 50, Y: document.querySelector('.e-add-icon').getBoundingClientRect().top - 5 };
    dialogInstance.value.show();
  }
};
const addTag = (e) => {
  let listTag = document.createElement('span');
  listTag.className = 'advanced-option';
  let labelElem = document.createElement('span');
  labelElem.className = 'label';
  let deleteElem = document.createElement('span');
  deleteElem.className = 'delete';
  deleteElem.onclick = removeTag;
  labelElem.innerHTML = e.text;
  listTag.appendChild(labelElem);
  listTag.appendChild(deleteElem);
  let tag = document.createElement('span');
  tag.className = 'advanced-option-list';
  tag.appendChild(listTag);
  listviewInstance.value.$el.ej2_instances[0].element.querySelector('.e-active').appendChild(tag);
};
const removeTag = () => {
  listviewInstance.value.$el.ej2_instances[0].selectedLI.children[1].remove();
};

</script>

<style>
#sample {
  padding: 40px;
}

.advanced-option-list {
  display: inline-flex;
  list-style: none;
  margin: 0;
  padding: 0;
  margin-top: 4px;
  overflow: auto;
}

.advanced-option {
  border: 1px solid #0078d7;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px;
  padding: 0 20px 0 5px;
  margin: 0 3px 1px 0;
  float: left;
  position: relative;
  background: white;
  line-height: 21px;
}

.advanced-option .label {
  color: #0078d7;
  font-size: 10px;
}

.advanced-option .delete {
  background: url(https://research.isg-one.com/Assets/img/Content/icn/tiny-del.png) right center no-repeat;
  padding-left: 10px;
  padding-top: 2px;
  right: 0;
  position: absolute;
  top: 1px;
  cursor: pointer;
  height: 16px;
  width: 30px;
}

.designationstyle {
  float: right;
  position: relative;
  right: 10px;
}

.cont-bg {
  font-size: 17px;
  height: 46px;
  padding-top: 10px;
  width: 100%;
}

.designationstyle .e-add-icon::before {
  content: '\e823';
}

#sample .e-list-item {
  height: auto;
}

.e-dialog .e-dlg-header-content+.e-dlg-content {
  margin-top: -18px;
}
</style>
[Yesterday 4:03 PM] Vishnu Moorthi
<template>
  <div id="sample">
    <ejs-listview ref='listviewInstance' id='templatelist' :dataSource='data' :fields='fields' width='350'
      template='listTemplate'>
      <template v-slot:listTemplate="{ data }">
        <div><span class="templatetext"> </span> <span class="designationstyle"><ejs-button :id='data.Id'
              class="e-but" iconCss='e-icons e-add-icon' cssClass='e-small e-round'></ejs-button></span></div>
      </template>
    </ejs-listview>
    <ejs-dialog id='dialog' ref='dialogInstance' width='200px' content='dialogcontent' :animationSettings='animation'
      :visible='visible' showCloseIcon='true' :position='position'>
      <template v-slot:dialogcontent>
        <ejs-listview id="list" :dataSource="datasource.Brooke" :select="addTag" :fields="fields" showHeader=true
          headerTitle='Favorite' width='200px'></ejs-listview>
      </template>
    </ejs-dialog>
  </div>
</template>

<script>

import { ListViewComponent } from "@syncfusion/ej2-vue-lists";
import { DialogComponent } from "@syncfusion/ej2-vue-popups";
import { ButtonComponent } from "@syncfusion/ej2-vue-buttons";

export default {
  name: "App",
  components: {
    "ejs-listview": ListViewComponent,
    "ejs-button": ButtonComponent,
    "ejs-dialog": DialogComponent
  },
  data: function () {
    return {
      data: [{ "Id": "Brooke", "Name": "Brooke" },
      { "Id": "Claire", "Name": "Claire" },
      { "Id": "Erik", "Name": "Erik" },
      { "Id": "Grace", "Name": "Grace" },
      { "Id": "Jacob", "Name": "Jacob" }],
      fields: { text: 'Name' },
      brookeTag: [{ "id": "list11", "Name": "Discover Music" },
      { "id": "list12", "Name": "Sales and Events" },
      { "id": "list13", "Name": "Categories" },
      { "id": "list14", "Name": "MP3 Albums" },
      { "id": "list15", "Name": "More in Music" },
      ],
      claireTag: [{ "id": "list21", "Name": "Songs" },
      { "id": "list22", "Name": "Bestselling Albums" },
      { "id": "list23", "Name": "New Releases" },
      { "id": "list24", "Name": "Bestselling Songs" },
      ],
      erikTag: [{ "id": "list31", "Name": "Artwork" },
      { "id": "list32", "Name": "Abstract" },
      { "id": "list33", "Name": "Acrylic Mediums" },
      { "id": "list34", "Name": "Creative Acrylic" },
      { "id": "list35", "Name": "Canvas Art" }
      ],
      graceTag: [{ "id": "list41", "Name": "Rock" },
      { "id": "list42", "Name": "Gospel" },
      { "id": "list43", "Name": "Latin Music" },
      { "id": "list44", "Name": "Jazz" },
      ],
      jacobTag: [{ "id": "list51", "Name": "100 Albums - $5 Each" },
      { "id": "list52", "Name": "Hip-Hop and R&B Sale" },
      { "id": "list53", "Name": "CD Deals" }
      ],
      visible: false,
      datasource: {},
      animation: { effect: 'None' },
      position: {},
    };
  },
  created() {
    this.datasource = { "Brooke": this.brookeTag, "Claire": this.claireTag, "Erik": this.erikTag, "Grace": this.graceTag, "Jacob": this.jacobTag };
  },
  mounted() {
    for (let i = 0; i < this.data.length; i++) {
      document.getElementById(this.data[i].Id).addEventListener("click", (e) => {
        this.renderDialog(e.currentTarget.id);
      });
    }
  },
  methods: {
    renderDialog: function (id) {
      if (document.getElementsByClassName('e-popup-open').length !== 0) {
        this.$refs.dialogInstance.hide();
      }
      else {
        this.listObj = document.getElementById('dialog').querySelector("#list").ej2_instances[0];
        this.listObj.dataSource = this.datasource[id];
        this.listObj.dataBind();
        this.$refs.dialogInstance.ej2Instances.position = { X: document.querySelector('.e-add-icon').getBoundingClientRect().left + 50, Y: document.querySelector('.e-add-icon').getBoundingClientRect().top - 5 };
        this.$refs.dialogInstance.show();
      }
    },
    addTag: function (e) {
      let listTag = document.createElement('span');
      listTag.className = 'advanced-option';
      let labelElem = document.createElement('span');
      labelElem.className = 'label';
      let deleteElem = document.createElement('span');
      deleteElem.className = 'delete';
      deleteElem.onclick = this.removeTag;
      labelElem.innerHTML = e.text;
      listTag.appendChild(labelElem);
      listTag.appendChild(deleteElem);
      let tag = document.createElement('span');
      tag.className = 'advanced-option-list';
      tag.appendChild(listTag);
      this.$refs.listviewInstance.$el.ej2_instances[0].element.querySelector('.e-active').appendChild(tag);
    },
    removeTag: function () {
      this.$refs.listviewInstance.$el.ej2_instances[0].selectedLI.children[1].remove();
    }
  }
}
</script>
<style>
#sample {
  padding: 40px;
}

.advanced-option-list {
  display: inline-flex;
  list-style: none;
  margin: 0;
  padding: 0;
  margin-top: 4px;
  overflow: auto;
}

.advanced-option {
  border: 1px solid #0078d7;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px;
  padding: 0 20px 0 5px;
  margin: 0 3px 1px 0;
  float: left;
  position: relative;
  background: white;
  line-height: 21px;
}

.advanced-option .label {
  color: #0078d7;
  font-size: 10px;
}

.advanced-option .delete {
  background: url(https://research.isg-one.com/Assets/img/Content/icn/tiny-del.png) right center no-repeat;
  padding-left: 10px;
  padding-top: 2px;
  right: 0;
  position: absolute;
  top: 1px;
  cursor: pointer;
  height: 16px;
  width: 30px;
}

.designationstyle {
  float: right;
  position: relative;
  right: 10px;
}

.cont-bg {
  font-size: 17px;
  height: 46px;
  padding-top: 10px;
  width: 100%;
}

.designationstyle .e-add-icon::before {
  content: '\e823';
}

#sample .e-list-item {
  height: auto;
}

.e-dialog .e-dlg-header-content+.e-dlg-content {
  margin-top: -18px;
}
</style>

Customize ListView with dynamic tags in React ListView component

23 Jan 202524 minutes to read

You can customize the ListView items using the template property. In this example, dynamic tags are added to and removed from list items using another ListView. Follow these steps to achieve this:

  • Render the ListView with a data source, and add a button element to each list item using the actionComplete event. Refer to the following code sample for the actionComplete event:

      // The actionComplete event for first ListView to add the button
        function addButton(args) {
         let buttonObj = { obj: ButtonComponent, prop: { iconCss: 'e-icons e-add-icon', cssClass: 'e-small e-round' } };
          let ele = document.getElementsByClassName("e-but");
         for (let i: number = 0; i < ele.length; i++) {
          buttonObj.obj = new ButtonComponent(buttonObj.prop);
          buttonObj.obj.appendTo(ele[i]);
       }
     }
  • Initialize dynamic ListView with required property that holds the tags of parent ListView, and bind the select event (triggers when the list item is selected), in which you can get and add the selected item value as tags into parent ListView. Refer to the following code sample.

       //Select the event that is is rendered inside dialog for ListView
       function addTag(e) {
         let listTag = document.createElement('span');
         listTag.className = 'advanced-option';
         let labelElem = document.createElement('span');
         labelElem.className = 'label';
         let deleteElem = document.createElement('span');
         deleteElem.className = 'delete';
         deleteElem.onclick = removeTag;
         labelElem.innerHTML = e.target.textContent;
         listTag.appendChild(labelElem);
         listTag.appendChild(deleteElem);
         let tag = document.createElement('span');
         tag.className = 'advanced-option-list';
         tag.appendChild(listTag);
         listviewInstance.element.querySelector('.e-active').appendChild(tag);
        }
  • Render the dialog component with empty content and append the created dynamic ListView object to the dialog on created event.

  • Bind the click event for button icon (+) to update the ListView data source with tags, and open the dialog with this dynamic ListView. Refer to the following code sample.

      //Method to hide/show the dialog and update the ListView data source
     function renderDialog(id) {
         if (document.getElementsByClassName('e-popup-open').length !== 0) {
          dialogInstance.hide();
       }
        else {
          let listElem = document.getElementById('dialog').querySelector("#list");
          let listIns = document.getElementById('dialog').querySelector("#list") && document.getElementById('dialog').querySelector("#list").ej2_instances && document.getElementById('dialog').querySelector("#list").ej2_instances[0] ? document.getElementById('dialog').querySelector("#list").ej2_instances[0] : undefined;
          if (listIns) {
              listIns.dataSource = datasource[id];
              listIns.fields = fields;
              listIns.addEventListener('select', () => { addTag(event); });
              listIns.dataBind();
              listIns.appendTo(listElem);
              dialogInstance.position = { X: document.querySelector('.e-add-icon').getBoundingClientRect().left + 50, Y: document.querySelector('.e-add-icon').getBoundingClientRect().top - 5 };
              dialogInstance.show();
          }
      }
     }
  • Bind the click event with added dynamic tags to remove it. Refer to the following code sample.

     //Method to remove the list item
     function removeTag() {
       parentNode.parentNode.remove();
    }
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import { EventHandler } from "@syncfusion/ej2-base";
import './index.css';

function App() {
    //Define an array of JSON data
    let data = [
        { Id: "Brooke", Name: "Brooke" },
        { Id: "Claire", Name: "Claire" },
        { Id: "Erik", Name: "Erik" },
        { Id: "Grace", Name: "Grace" },
        { Id: "Jacob", Name: "Jacob" }
    ];
    let fields = { text: "Name" };
    let position = null;
    let animation = { effect: "None" };
    let dialogInstance = null;
    let listviewInstance = null;
    let brookeTag = [
        { id: "list11", Name: "Discover Music" },
        { id: "list12", Name: "Sales and Events" },
        { id: "list13", Name: "Categories" },
        { id: "list14", Name: "MP3 Albums" },
        { id: "list15", Name: "More in Music" }
    ];
    let claireTag = [
        { id: "list21", Name: "Songs" },
        { id: "list22", Name: "Bestselling Albums" },
        { id: "list23", Name: "New Releases" },
        { id: "list24", Name: "Bestselling Songs" }
    ];
    let erikTag = [
        { id: "list31", Name: "Artwork" },
        { id: "list32", Name: "Abstract" },
        { id: "list33", Name: "Acrylic Mediums" },
        { id: "list34", Name: "Creative Acrylic" },
        { id: "list35", Name: "Canvas Art" }
    ];
    let graceTag = [
        { id: "list41", Name: "Rock" },
        { id: "list42", Name: "Gospel" },
        { id: "list43", Name: "Latin Music" },
        { id: "list44", Name: "Jazz" }
    ];
    let jacobTag = [
        { id: "list51", Name: "100 Albums" },
        { id: "list52", Name: "Hip-Hop and R&B Sale" },
        { id: "list53", Name: "CD Deals" }
    ];
    let datasource = {
        Brooke: brookeTag,
        Claire: claireTag,
        Erik: erikTag,
        Grace: graceTag,
        Jacob: jacobTag
    };
    let dialogListInstance;
    function renderDialog(id) {
        if (document.getElementsByClassName("e-popup-open").length !== 0) {
            if (dialogInstance)
                dialogInstance.hide();
        }
        if (dialogInstance) {
            let listElem = dialogInstance.element.querySelector("#list");
            dialogListInstance =
                listElem && listElem.ej2_instances && listElem.ej2_instances[0]
                    ? listElem.ej2_instances[0]
                    : undefined;
            if (dialogListInstance) {
                EventHandler.remove(dialogListInstance, "select", addTag);
                dialogListInstance.dataSource = datasource[id];
                dialogListInstance.fields = fields;
                EventHandler.add(dialogListInstance, "select", addTag, this);
                dialogListInstance.appendTo(listElem);
                dialogListInstance.dataBind();
                dialogInstance.position = {
                    X: listviewInstance.element.querySelector(".e-add-icon").getBoundingClientRect()
                        .left + 50,
                    Y: listviewInstance.element.querySelector(".e-add-icon").getBoundingClientRect()
                        .top - 5
                };
                dialogInstance.show();
            }
        }
    }
    function addTag(e) {
        let listTag = document.createElement("span");
        listTag.className = "advanced-option";
        let labelElem = document.createElement("span");
        labelElem.className = "label";
        let deleteElem = document.createElement("span");
        deleteElem.className = "delete";
        deleteElem.onclick = removeTag;
        labelElem.innerHTML = e.text;
        listTag.appendChild(labelElem);
        listTag.appendChild(deleteElem);
        let tag = document.createElement("span");
        tag.className = "advanced-option-list";
        tag.appendChild(listTag);
        listviewInstance.element.querySelector(".e-active").appendChild(tag);
    }
    function removeTag() {
        this.parentNode.parentNode.remove();
    }
    function handleClick(e) {
        renderDialog(e.currentTarget.id);
    }
    function listtemplate(data) {
        return (<div>
            <span className="templatetext">{data.Name}</span>
            <span className="designationstyle">
                <ButtonComponent id={data.Id} className="e-but e-small e-round" iconCss={"e-icons e-add-icon"} onClick={handleClick.bind(this)} />
            </span>
        </div>);
    }
    function dialogContent() {
        return <ListViewComponent id="list" showHeader={true} headerTitle="Favorite" width={"200px"} />;
    }
    return (<div id="sample">
        <ListViewComponent id="template-list" dataSource={data} fields={fields} template={listtemplate.bind(this)} ref={scope => {
            listviewInstance = scope;
        }} />
        <DialogComponent id="dialog" animationSettings={animation} content={dialogContent} visible={false} ref={dialog => (dialogInstance = dialog)} width={"200px"} showCloseIcon={true} position={position} />
    </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import { Browser, EventHandler } from "@syncfusion/ej2-base";

function App() {
  //Define an array of JSON data
  let data: any[] = [
    { Id: "Brooke", Name: "Brooke" },
    { Id: "Claire", Name: "Claire" },
    { Id: "Erik", Name: "Erik" },
    { Id: "Grace", Name: "Grace" },
    { Id: "Jacob", Name: "Jacob" }
  ];

  let fields: object = { text: "Name" };
  let position: any = null;
  let animation: object = { effect: "None" };
  let dialogInstance: DialogComponent | null = null;
  let listviewInstance: ListViewComponent | null = null;
  let brookeTag: object[] = [
    { id: "list11", Name: "Discover Music" },
    { id: "list12", Name: "Sales and Events" },
    { id: "list13", Name: "Categories" },
    { id: "list14", Name: "MP3 Albums" },
    { id: "list15", Name: "More in Music" }
  ];

  let claireTag: object[] = [
    { id: "list21", Name: "Songs" },
    { id: "list22", Name: "Bestselling Albums" },
    { id: "list23", Name: "New Releases" },
    { id: "list24", Name: "Bestselling Songs" }
  ];

  let erikTag: object[] = [
    { id: "list31", Name: "Artwork" },
    { id: "list32", Name: "Abstract" },
    { id: "list33", Name: "Acrylic Mediums" },
    { id: "list34", Name: "Creative Acrylic" },
    { id: "list35", Name: "Canvas Art" }
  ];

  let graceTag: object[] = [
    { id: "list41", Name: "Rock" },
    { id: "list42", Name: "Gospel" },
    { id: "list43", Name: "Latin Music" },
    { id: "list44", Name: "Jazz" }
  ];

  let jacobTag: object[] = [
    { id: "list51", Name: "100 Albums" },
    { id: "list52", Name: "Hip-Hop and R&B Sale" },
    { id: "list53", Name: "CD Deals" }
  ];

  let datasource: any = {
    Brooke: brookeTag,
    Claire: claireTag,
    Erik: erikTag,
    Grace: graceTag,
    Jacob: jacobTag
  };
  let dialogListInstance: any;

  function renderDialog(id: any) {
    if (document.getElementsByClassName("e-popup-open").length !== 0) {
      if (dialogInstance) dialogInstance.hide();
    }
    if (dialogInstance) {
      let listElem: any = dialogInstance.element.querySelector("#list");
      dialogListInstance =
        listElem && listElem.ej2_instances && listElem.ej2_instances[0]
          ? listElem.ej2_instances[0]
          : undefined;
      if (dialogListInstance) {
        EventHandler.remove(dialogListInstance, "select", addTag);
        dialogListInstance.dataSource = datasource[id];
        dialogListInstance.fields = fields;
        EventHandler.add(dialogListInstance, "select", addTag, this);
        dialogListInstance.appendTo(listElem);
        dialogListInstance.dataBind();
        dialogInstance.position = {
          X:
            (listviewInstance as any).element.querySelector(".e-add-icon").getBoundingClientRect()
              .left + 50,
          Y:
            (listviewInstance as any).element.querySelector(".e-add-icon").getBoundingClientRect()
              .top - 5
        };
        dialogInstance.show();
      }
    }
  }

  function addTag(e: any) {
    let listTag = document.createElement("span");
    listTag.className = "advanced-option";
    let labelElem = document.createElement("span");
    labelElem.className = "label";
    let deleteElem = document.createElement("span");
    deleteElem.className = "delete";
    deleteElem.onclick = removeTag;
    labelElem.innerHTML = e.text;
    listTag.appendChild(labelElem);
    listTag.appendChild(deleteElem);
    let tag = document.createElement("span");
    tag.className = "advanced-option-list";
    tag.appendChild(listTag);
    (listviewInstance as any).element.querySelector(".e-active").appendChild(tag);
  }
  function removeTag() {
    (this as any).parentNode.parentNode.remove();
  }

  function handleClick(e: any) {
    renderDialog(e.currentTarget.id);
  }

  function listtemplate(data: any): JSX.Element {
    return (
      <div>
        <span className="templatetext">{data.Name}</span>
        <span className="designationstyle">
          <ButtonComponent
            id={data.Id}
            className="e-but e-small e-round"
            iconCss={"e-icons e-add-icon"}
            onClick={handleClick.bind(this)}
          />
        </span>
      </div>
    );
  }

  function dialogContent(): JSX.Element {
    return <ListViewComponent id="list" showHeader={true} headerTitle="Favorite" width={"200px"} />;
  }
  return (
    <div id="sample">
      <ListViewComponent
        id="template-list"
        dataSource={data}
        fields={fields}
        template={listtemplate.bind(this) as any}
        ref={scope => {
          listviewInstance = scope;
        }}
      />
      <DialogComponent
        id="dialog"
        animationSettings={animation as any}
        content={dialogContent as any}
        visible={false}
        ref={dialog => (dialogInstance = dialog)}
        width={"200px"}
        showCloseIcon={true}
        position={position}
      />
    </div>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: "Helvetica Neue", "calibiri";
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#sample {
  padding: 40px;
}

.advanced-option-list {
  display: inline-flex;
  list-style: none;
  margin: 0;
  padding: 0;
  margin-top: 4px;
  overflow: auto;
}

.advanced-option {
  border: 1px solid #0078d7;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px;
  padding: 0 20px 0 5px;
  margin: 0 3px 1px 0;
  float: left;
  position: relative;
  background: white;
  line-height: 21px;
}

.advanced-option .label {
  color: #0078d7;
  font-size: 10px;
}

.advanced-option .delete {
  background: url(https://research.isg-one.com/Assets/img/Content/icn/tiny-del.png) right center no-repeat;
  padding-left: 10px;
  padding-top: 2px;
  right: 0;
  position: absolute;
  top: 1px;
  cursor: pointer;
  height: 16px;
  width: 30px;
}

#template-list {
  max-width: 350px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#template-list .designationstyle {
  float: right;
  position: relative;
  right: 10px;
}

.cont-bg {
  font-size: 17px;
  height: 46px;
  padding-top: 10px;
  width: 100%;
}

.e-add-icon::before {
  content: "\e823";
}

#template-list .e-list-item {
  height: auto;
  padding: 11px 16px;
}

.e-dialog .e-dlg-header-content+.e-dlg-content {
  margin-top: -18px;
  padding-top: 15px;
}

.e-lib.e-dialog.e-popup .e-dlg-header-content {
  z-index: 1000;
  position: absolute;
  right: 0;
  top: -28px;
  background: transparent;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React ListView</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-lists/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-popups/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Customize ListView with dynamic tags in Angular ListView component

22 Apr 202516 minutes to read

You can customize the ListView items using the template property. Here, the dynamic tags are added and removed in the list item from another ListView. Refer to the following steps to achieve this.

  • Initialize dynamic ListView with required property that holds the tags of parent ListView, and bind the select event (triggers when the list item is selected), in which you can get and add the selected item value as tags into parent ListView. Refer to the following code sample.

      //Select the event that is is rendered inside dialog for ListView
      addTag(e) {
          let listTag = document.createElement('span');
          listTag.className = 'advanced-option';
          let labelElem = document.createElement('span');
          labelElem.className = 'label';
          let deleteElem = document.createElement('span');
          deleteElem.className = 'delete';
          deleteElem.onclick = this.removeTag;
          labelElem.innerHTML = e.text;
          listTag.appendChild(labelElem);
          listTag.appendChild(deleteElem);
          let tag = document.createElement('span');
          tag.className = 'advanced-option-list';
          tag.appendChild(listTag);
          this.listviewInstance.element.querySelector('.e-active').appendChild(tag);
      }
  • Render the dialog component with empty content and append the created dynamic ListView object to the dialog on created event.

  • Bind the click event for button icon (+) to update the ListView data source with tags, and open the dialog with this dynamic ListView. Refer to the following code sample.

      //Method to hide/show the dialog and update the ListView data source
      renderDialog(id) {
          if (document.getElementsByClassName('e-popup-open').length != 0) {
              this.dialog.hide();
          }
          else {
              this.listObj.dataSource = this.datasource[id];
              this.listObj.dataBind();
              this.dialog.show();
          }
      }
  • Bind the click event with added dynamic tags to remove it. Refer to the following code sample.

      //Method to remove the list item
      removeTag() {
          this.parentNode.parentNode.remove();
      }
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'
import { DialogModule } from '@syncfusion/ej2-angular-popups'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { Component, ViewChild } from '@angular/core';
import { ListViewComponent } from "@syncfusion/ej2-angular-lists";
import { DialogComponent } from "@syncfusion/ej2-angular-popups";
import { CommonModule } from '@angular/common';

@Component({
    imports: [
        ListViewModule,
        DialogModule,
        ButtonModule,
        CommonModule
    ],
    standalone: true,
    selector: 'my-app',
    template: `
    <div id="sample">
      <ejs-listview #list id='templatelist' [dataSource]='data' [fields]='fields' width=350>
        <ng-template #template let-data="">
          <div>
            <span class="templatetext"></span>
            <span class="designationstyle">
              <button ejs-button [id]="data.Id" class="e-but" iconCss='e-icons e-add-icon' cssClass='e-small e-round' (click)='onClick($event)'></button>
            </span>
            <span class="advanced-option-list">
              <span *ngFor="let tag of data.tags" class="advanced-option">
                <span class="label"></span>
                <span class="e-icons e-close" (click)="removeTag(data, tag)"></span>
              </span>
            </span>
          </div>
        </ng-template>
      </ejs-listview>
      <ejs-dialog id='dialog' #ejDialog width='200px' [animationSettings]='animation' [visible]='false' showCloseIcon='true' [position]='position'>
        <ng-template #content>
          <ejs-listview #List id="list" showHeader=true headerTitle='Favorite' width='200px' [dataSource]='datasource[currentSelectedId]' [fields]='fields' (select)='addTag($event)'></ejs-listview>
        </ng-template>
      </ejs-dialog>
    </div>
  `
})

export class AppComponent {
    @ViewChild('list') listViewInstance?: ListViewComponent;
    @ViewChild('List') listObj?: ListViewComponent;
    @ViewChild('ejDialog') dialog?: DialogComponent;

    public data: any[] = [
        { "Id": "Brooke", "Name": "Brooke", tags: [] },
        { "Id": "Claire", "Name": "Claire", tags: [] },
        { "Id": "Erik", "Name": "Erik", tags: [] },
        { "Id": "Grace", "Name": "Grace", tags: [] },
        { "Id": "Jacob", "Name": "Jacob", tags: [] }
    ];

    public fields: Object = { text: "Name" };
    public position?: Object;
    public animation: Object = { effect: 'None' };
    public currentSelectedId: string = '';

    public brookeTag: Object = [
        { "id": "list11", "Name": "Discover Music" },
        { "id": "list12", "Name": "Sales and Events" },
        { "id": "list13", "Name": "Categories" },
        { "id": "list14", "Name": "MP3 Albums" },
        { "id": "list15", "Name": "More in Music" },
    ];
    public claireTag: Object = [
        { "id": "list21", "Name": "Songs" },
        { "id": "list22", "Name": "Bestselling Albums" },
        { "id": "list23", "Name": "New Releases" },
        { "id": "list24", "Name": "Bestselling Songs" },
    ];
    public erikTag: Object = [
        { "id": "list31", "Name": "Artwork" },
        { "id": "list32", "Name": "Abstract" },
        { "id": "list33", "Name": "Acrylic Mediums" },
        { "id": "list34", "Name": "Creative Acrylic" },
        { "id": "list35", "Name": "Canvas Art" }
    ];
    public graceTag: Object = [
        { "id": "list41", "Name": "Rock" },
        { "id": "list42", "Name": "Gospel" },
        { "id": "list43", "Name": "Latin Music" },
        { "id": "list44", "Name": "Jazz" },
    ];
    public jacobTag: Object = [
        { "id": "list51", "Name": "100 Albums" },
        { "id": "list52", "Name": "Hip-Hop and R&B Sale" },
        { "id": "list53", "Name": "CD Deals" }
    ];

    public datasource: any = {
        "Brooke": this.brookeTag,
        "Claire": this.claireTag,
        "Erik": this.erikTag,
        "Grace": this.graceTag,
        "Jacob": this.jacobTag
    };

    ngAfterViewChecked() {
        setTimeout(() => {
            this.position = {
                X: (document.querySelector('.e-add-icon') as HTMLElement | any).getBoundingClientRect().left + 50,
                Y: (document.querySelector('.e-add-icon') as any).getBoundingClientRect().top - 5
            };
        }, 1000);
    }

    onClick(e: any) {
        this.currentSelectedId = e.currentTarget.id;
        this.renderDialog(this.currentSelectedId);
    }

    renderDialog(id: string | number) {
        if (document.getElementsByClassName('e-popup-open').length != 0) {
            (this.dialog as DialogComponent).hide();
        } else {
            (this.listObj as ListViewComponent).dataSource = this.datasource[id];
            this.listObj?.dataBind();
            (this.dialog as DialogComponent).show();
        }
    }

    addTag(e: any) {
        const selectedItem = this.data.find(item => item.Id === this.currentSelectedId);
        if (selectedItem && !selectedItem.tags.includes(e.text)) {
            selectedItem.tags.push(e.text);
            this.listViewInstance?.refresh();
        }
        this.dialog?.hide();
    }

    removeTag(item: any, tag: string) {
        const index = item.tags.indexOf(tag);
        if (index > -1) {
            item.tags.splice(index, 1);
            this.listViewInstance?.refresh();
        }
    }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-popups/styles/material.css';

#sample {
    padding: 40px;
}

.advanced-option-list {
    display: inline-flex;
    list-style: none;
    margin-left: 5px;
    padding: 0;
    margin-top: 4px;
    overflow: auto;
}

.advanced-option {
    border: 1px solid #0078d7;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    padding: 0 20px 0 5px;
    margin: 0 3px 1px 0;
    float: left;
    position: relative;
    background: white;
    line-height: 21px;
}

.advanced-option .label {
    color: #0078d7;
    font-size: 10px;
}

.advanced-option .e-icons.e-close {
  right: 0;
  position: absolute;
  top: 6px;
  cursor: pointer;
  width: 14px;
  font-size: xx-small;
}

#templatelist .designationstyle {
    float: right;
    position: relative;
    right: 10px;
}

.cont-bg {
    font-size: 17px;
    height: 46px;
    padding-top: 10px;
    width: 100%;
}

.e-add-icon::before {
    content: '\e823';
}

#templatelist .e-list-item {
    height: auto;
}

.e-dialog .e-dlg-header-content+.e-dlg-content {
    margin-top: -18px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));